------------------------------------------------------------------------
r7896 | vlefevre | 2011-10-03 08:10:45 +0000 (Mon, 03 Oct 2011) | 1 line
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.0.
------------------------------------------------------------------------
r7895 | vlefevre | 2011-10-03 08:09:19 +0000 (Mon, 03 Oct 2011) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r7893 | vlefevre | 2011-09-29 22:25:41 +0000 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] added reference and comment for eint
(Merged changeset r7892 from the trunk.)
------------------------------------------------------------------------
r7890 | vlefevre | 2011-09-25 00:17:05 +0000 (Sun, 25 Sep 2011) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Rephrased mpfr_frexp description.
(Merged changeset r7889 from the trunk.)
------------------------------------------------------------------------
r7887 | vlefevre | 2011-09-24 10:01:07 +0000 (Sat, 24 Sep 2011) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/NEWS
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/log1p.c
   M /branches/3.1/tests/tagm.c
   M /branches/3.1/tests/tgeneric.c

Renamed "division-by-zero" to "divide-by-zero" (term used by the
ISO C99 standard, the IEEE 754-2008 standard using divideByZero,
and the old IEEE 754-1985 standard using both "divide by zero"
and "division by zero").
(Merged changeset r7886 from the trunk.)
------------------------------------------------------------------------
r7885 | vlefevre | 2011-09-24 09:40:03 +0000 (Sat, 24 Sep 2011) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/gmp_op.c
   M /branches/3.1/tests/tgmpop.c

[tests/tgmpop.c] Improved division-by-zero tests.
[src/gmp_op.c] Forgot to update the flags in some functions.
(Merged changesets r7882 and r7883 from the trunk.)
------------------------------------------------------------------------
r7884 | vlefevre | 2011-09-24 09:39:02 +0000 (Sat, 24 Sep 2011) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/faq.xsl

[doc/faq.xsl] Added a comment about the MPFR logo.
(Merged changeset r7881 from the trunk.)
------------------------------------------------------------------------
r7880 | vlefevre | 2011-09-22 10:38:10 +0000 (Thu, 22 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Improved mpfr_frexp description.
------------------------------------------------------------------------
r7878 | vlefevre | 2011-09-22 10:09:40 +0000 (Thu, 22 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Corrected typo in the mpfr_frexp description.
------------------------------------------------------------------------
r7874 | vlefevre | 2011-09-20 08:50:37 +0000 (Tue, 20 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r7872 | vlefevre | 2011-09-20 07:37:01 +0000 (Tue, 20 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.0-rc2.
------------------------------------------------------------------------
r7871 | vlefevre | 2011-09-20 07:35:18 +0000 (Tue, 20 Sep 2011) | 18 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/NEWS
   M /branches/3.1/TODO
   M /branches/3.1/doc/README.dev
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/examples/version.c
   M /branches/3.1/src/agm.c
   M /branches/3.1/src/buildopt.c
   M /branches/3.1/src/gmp_op.c
   M /branches/3.1/src/mpfr-gmp.h
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/tests/tbuildopt.c
   M /branches/3.1/tests/tgmpop.c

Merged r7857 through r7870 from the trunk:
  * [src/mpfr-gmp.h] Fixed a prototype (mpfr_limb_ptr isn't available
    yet) and added missing prototype for __gmpn_sbpi1_divappr_q.
  * [src/mpfr-impl.h] Define new macros MPFR_EXT_EMIN and MPFR_EXT_EMAX.
  * [src/agm.c] Replaced __gmpfr_emin and __gmpfr_emax by MPFR_EXT_EMIN
    and MPFR_EXT_EMAX respectively (this should be a bit faster with TLS
    and also is a workaround to a bug occurring with TLS and GCC 4.3.2
    on a Linux/Sparc machine, gcc54.fsffrance.org).
  * [tests/tgmpop.c] Check for erange flag in mpfr_cmp_[f,q,z].
  * [src/gmp_op.c] Handle the special cases in mpfr_cmp_q and mpfr_cmp_f
    (fixing the problem with the erange flag in particular).
  * [src/buildopt.c,src/mpfr.h,tests/tbuildopt.c,doc/mpfr.texi,NEWS]
    Added mpfr_buildopt_gmpinternals_p function.
  * [examples/version.c] Output mpfr_buildopt_gmpinternals_p() and
    mpfr_buildopt_tune_case() values with MPFR 3.1 or later.
  * [doc/README.dev] Updated "To make a release". Document how to
    specify the minimum exponent or the maximum exponent.
  * [TODO] Added an item about the minimum and maximum exponents.
------------------------------------------------------------------------
r7857 | vlefevre | 2011-09-19 08:22:17 +0000 (Mon, 19 Sep 2011) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Correction: "5 exception types" → "6 exception types"
(thanks to Case Vanhorsen for the report).
------------------------------------------------------------------------
r7854 | vlefevre | 2011-09-17 11:58:18 +0000 (Sat, 17 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r7853 | vlefevre | 2011-09-14 21:38:49 +0000 (Wed, 14 Sep 2011) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mpfr-impl.h

[src/mpfr-impl.h] Define LONGLONG_STANDALONE before including
mpfr-longlong.h so that udiv_qrnnd_preinv is defined (this is
useful at least on IA64 when compiling without gmp-impl.h).
Thanks to Patrick Pélissier for the fix.
------------------------------------------------------------------------
r7851 | vlefevre | 2011-09-11 09:21:52 +0000 (Sun, 11 Sep 2011) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/NEWS
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated "API Compatibility" section. Documented
  function mpfr_buildopt_tune_case. Minor consistency changes.
[NEWS] Function mpfr_buildopt_tune_case is new in MPFR 3.1.
------------------------------------------------------------------------
r7844 | vlefevre | 2011-09-11 07:49:03 +0000 (Sun, 11 Sep 2011) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] MPFR_RNDA was introduced in MPFR 3.0.0 and should
no longer be considered experimental.
------------------------------------------------------------------------
r7842 | vlefevre | 2011-09-10 21:25:45 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r7841 | vlefevre | 2011-09-10 21:24:05 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r7840 | vlefevre | 2011-09-10 21:23:08 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /branches/3.1/INSTALL
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.0-rc1.
------------------------------------------------------------------------
r7839 | vlefevre | 2011-09-10 21:21:59 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   A /branches/3.1 (from /trunk:7838)

Recreated 3.1 branch from the trunk.
------------------------------------------------------------------------
r7836 | vlefevre | 2011-09-10 21:15:45 +0000 (Sat, 10 Sep 2011) | 2 lines
Changed paths:
   M /trunk/tests/trec_sqrt.c

[tests/trec_sqrt.c] Fixed bug introduced in r7711 (build failure
with a C++ compiler).
------------------------------------------------------------------------
r7835 | vlefevre | 2011-09-10 20:13:19 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /trunk
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi

Removed now useless svn:mergeinfo properties.
------------------------------------------------------------------------
r7832 | vlefevre | 2011-09-10 20:04:07 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Replaced "configure.in" by "configure.ac".
------------------------------------------------------------------------
r7831 | vlefevre | 2011-09-10 20:02:56 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Removed obsolete paragraph about AM_MAINTAINER_MODE.
------------------------------------------------------------------------
r7826 | vlefevre | 2011-09-10 19:08:42 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Correction after r7825.
------------------------------------------------------------------------
r7825 | vlefevre | 2011-09-10 19:07:39 +0000 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Run tools/ck-mparam.
------------------------------------------------------------------------
r7824 | vlefevre | 2011-09-10 19:04:57 +0000 (Sat, 10 Sep 2011) | 2 lines
Changed paths:
   A /trunk/tools/ck-mparam

Added tools/ck-mparam sh script to check the mparam.h files
(gcc is needed).
------------------------------------------------------------------------
r7823 | zimmerma | 2011-09-10 07:15:46 +0000 (Sat, 10 Sep 2011) | 2 lines
Changed paths:
   M /trunk/src/amd/k8/mparam.h

[src/amd/k8/mparam.h] removed spurious end of comment

------------------------------------------------------------------------
r7821 | vlefevre | 2011-09-09 17:19:39 +0000 (Fri, 09 Sep 2011) | 2 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] For the valgrind example, use the same arguments
as in gnulib's valgrind-tests.m4 file.
------------------------------------------------------------------------
r7818 | vlefevre | 2011-09-09 13:48:33 +0000 (Fri, 09 Sep 2011) | 1 line
Changed paths:
   M /trunk/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r7817 | vlefevre | 2011-09-09 13:32:55 +0000 (Fri, 09 Sep 2011) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/tools/ck-copyright-notice

[Makefile.am] Added tools/ck-copyright-notice to EXTRA_DIST as it is
  used in dist-hook.
[tools/ck-copyright-notice] Added copyright notice (since this file is
  distributed in the tarballs). Note: the first year is 2008 as a part
  of the code comes from r5370 in mpfrlint.
------------------------------------------------------------------------
r7816 | vlefevre | 2011-09-09 11:40:33 +0000 (Fri, 09 Sep 2011) | 2 lines
Changed paths:
   M /trunk/tools/ck-copyright-notice

[tools/ck-copyright-notice] Skip src/mpfr-longlong.h as this file
(which comes from GMP) has a specific copyright notice.
------------------------------------------------------------------------
r7815 | vlefevre | 2011-09-09 11:37:01 +0000 (Fri, 09 Sep 2011) | 1 line
Changed paths:
   M /trunk/src/mp_clz_tab.c

[src/mp_clz_tab.c] Updated the copyright notice.
------------------------------------------------------------------------
r7814 | vlefevre | 2011-09-09 11:31:07 +0000 (Fri, 09 Sep 2011) | 2 lines
Changed paths:
   M /trunk/tools/ck-copyright-notice

[tools/ck-copyright-notice] Check that the first copyright year for
the mparam.h files is 2005.
------------------------------------------------------------------------
r7813 | vlefevre | 2011-09-09 11:26:02 +0000 (Fri, 09 Sep 2011) | 2 lines
Changed paths:
   M /trunk/src/amd/amdfam10/mparam.h
   M /trunk/src/amd/athlon/mparam.h
   M /trunk/src/amd/k8/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/generic/mparam.h
   M /trunk/src/hppa/mparam.h
   M /trunk/src/ia64/mparam.h
   M /trunk/src/powerpc32/mparam.h
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/x86/core2/mparam.h
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/pentium4/mparam.h

Added copyright notice to the mparam.h files (with the same years
as in the template).
------------------------------------------------------------------------
r7812 | vlefevre | 2011-09-09 11:20:25 +0000 (Fri, 09 Sep 2011) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/tools/ck-copyright-notice
   M /trunk/tools/mpfrlint

Added tools/ck-copyright-notice sh script from mpfrlint (updated) to
check that copyright notices exist and appear to be correct. Updated
tools/mpfrlint to run tools/ck-copyright-notice instead of its old
test. In Makefile.am, run tools/ck-copyright-notice in dist-hook for
"make dist".
------------------------------------------------------------------------
r7811 | vlefevre | 2011-09-09 10:57:23 +0000 (Fri, 09 Sep 2011) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] More files under src and tests directories.
------------------------------------------------------------------------
r7809 | vlefevre | 2011-09-08 09:13:50 +0000 (Thu, 08 Sep 2011) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Update for MPFR 3.1.x.
------------------------------------------------------------------------
r7808 | vlefevre | 2011-09-08 09:07:08 +0000 (Thu, 08 Sep 2011) | 7 lines
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/tests/Makefile.am

[tests/Makefile.am]
  * Added "AM_LDFLAGS = -no-install" to prevent libtool from generating
    wrapper scripts for the tests (according to discussions and tests,
    there should be no negative effects); useful for gdb and valgrind.
  * Added $(VALGRIND) to TESTS_ENVIRONMENT in order to easily run the
    tests under valgrind with: VALGRIND="valgrind -q" make check
[doc/README.dev] Update for gdb and valgrind.
------------------------------------------------------------------------
r7807 | vlefevre | 2011-08-31 08:55:56 +0000 (Wed, 31 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Improved the specification of mpfr_get_f.
------------------------------------------------------------------------
r7805 | zimmerma | 2011-08-30 12:01:16 +0000 (Tue, 30 Aug 2011) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] added comment about minimal GMP version

------------------------------------------------------------------------
r7804 | zimmerma | 2011-08-30 08:23:16 +0000 (Tue, 30 Aug 2011) | 3 lines
Changed paths:
   M /trunk/src/add.c

dummy change to check if GMP_CHECK_RANDOMIZE is now used in the Hydra
builds on http://hydra.nixos.org/jobset/gnu/mpfr-trunk

------------------------------------------------------------------------
r7803 | vlefevre | 2011-08-19 10:03:19 +0000 (Fri, 19 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added some references to the ternary definition.
------------------------------------------------------------------------
r7802 | zimmerma | 2011-08-19 09:01:58 +0000 (Fri, 19 Aug 2011) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] improved the documentation of mpfr_set_str, as suggested by
		Vincent Lefevre

------------------------------------------------------------------------
r7801 | vlefevre | 2011-08-19 08:45:07 +0000 (Fri, 19 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added "Ternary value" to the concept index.
------------------------------------------------------------------------
r7800 | vlefevre | 2011-08-15 12:34:40 +0000 (Mon, 15 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added information on how to update the FAQ.
------------------------------------------------------------------------
r7798 | vlefevre | 2011-08-15 11:55:59 +0000 (Mon, 15 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/FAQ.html

[doc] Updated FAQ.html with update-faq.
------------------------------------------------------------------------
r7796 | vlefevre | 2011-08-12 11:39:06 +0000 (Fri, 12 Aug 2011) | 1 line
Changed paths:
   M /trunk/tune/tuneup.c

[tune/tuneup.c] Untabified.
------------------------------------------------------------------------
r7795 | vlefevre | 2011-08-12 11:35:51 +0000 (Fri, 12 Aug 2011) | 3 lines
Changed paths:
   M /trunk/src/mulders.c

[src/mulders.c] Replaced MPFR_ASSERTD by MPFR_ASSERTN on constant
expressions (this is a temporary change, as they should later be
replaced by static assertions).
------------------------------------------------------------------------
r7794 | vlefevre | 2011-08-12 11:33:09 +0000 (Fri, 12 Aug 2011) | 2 lines
Changed paths:
   M /trunk/src/mulders.c

[src/mulders.c] Replaced mp_ptr and mp_srcptr (internal to GMP) by
mpfr_limb_ptr and mpfr_limb_srcptr.
------------------------------------------------------------------------
r7793 | vlefevre | 2011-08-12 11:25:25 +0000 (Fri, 12 Aug 2011) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] Avoid potential identifier collision by using an
underscore for variable names declared in the invert_pi1 macro.
------------------------------------------------------------------------
r7792 | vlefevre | 2011-08-12 11:18:12 +0000 (Fri, 12 Aug 2011) | 1 line
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] Untabified.
------------------------------------------------------------------------
r7791 | vlefevre | 2011-08-12 11:14:38 +0000 (Fri, 12 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r7790 | zimmerma | 2011-08-06 13:30:28 +0000 (Sat, 06 Aug 2011) | 2 lines
Changed paths:
   M /trunk/src/amd/k8/mparam.h

[k8/mparam.h] added comment

------------------------------------------------------------------------
r7789 | zimmerma | 2011-08-06 12:01:58 +0000 (Sat, 06 Aug 2011) | 3 lines
Changed paths:
   M /trunk/src/amd/amdfam10/mparam.h
   M /trunk/src/x86/mparam.h

[x86/mparam.h] new tuning contributed by Jim Cloos
[amd/amdfam10/mparam.h] added GMP version

------------------------------------------------------------------------
r7788 | zimmerma | 2011-08-06 11:52:12 +0000 (Sat, 06 Aug 2011) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mulders.c

[mpfr-gmp.h] use mpfr_pi1_t instead of gmp_pi1_t to avoid using GMP's namespace

------------------------------------------------------------------------
r7787 | zimmerma | 2011-08-05 14:22:26 +0000 (Fri, 05 Aug 2011) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/mparam_h.in
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mulders.c
   M /trunk/tune/tuneup.c

[src/mulders.c] use mpn_sbpi1_divappr_q if available and WANT_GMP_INTERNALS
		is defined
[src/mpfr-gmp.h] defined macros needed for mpfr_divhigh_n_basecase
[configure.ac] check for mpn_sbpi1_divappr_q

------------------------------------------------------------------------
r7786 | vlefevre | 2011-08-05 13:17:23 +0000 (Fri, 05 Aug 2011) | 1 line
Changed paths:
   M /trunk/INSTALL
   M /trunk/VERSION
   M /trunk/configure.ac
   M /trunk/doc/mpfr.texi
   M /trunk/src/mpfr.h
   M /trunk/src/version.c

Updated version to 3.2.0-dev.
------------------------------------------------------------------------
r7784 | zimmerma | 2011-08-05 12:56:08 +0000 (Fri, 05 Aug 2011) | 2 lines
Changed paths:
   A /trunk/src/amd/amdfam10
   A /trunk/src/amd/amdfam10/mparam.h

[amdfam10/mparam.h] tuning parameters contributed by Jim Cloos

------------------------------------------------------------------------
r7783 | zimmerma | 2011-08-05 03:08:42 +0000 (Fri, 05 Aug 2011) | 4 lines
Changed paths:
   M /trunk/TODO
   M /trunk/src/Makefile.am
   M /trunk/src/mulders.c
   M /trunk/tune/tuneup.c

[mulders.c] added a basecase code for Mulders' short division
[tuneup.c] added corresponding tuning code
[TODO] added an item

------------------------------------------------------------------------
r7782 | vlefevre | 2011-08-04 14:36:42 +0000 (Thu, 04 Aug 2011) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] In the INTMAX_MAX test, no longer hardcode the
"#include <stdint.h>" (for instance, this doesn't work under
Solaris 9: INTMAX_MAX is defined only via <inttypes.h>), but
include "mpfr-intmax.h" instead (needs a temporary CPPFLAGS).
------------------------------------------------------------------------
r7781 | vlefevre | 2011-08-01 14:39:08 +0000 (Mon, 01 Aug 2011) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Much faster formatted output (mpfr_printf, etc.) with %Rg and similar.
------------------------------------------------------------------------
r7780 | vlefevre | 2011-08-01 13:56:27 +0000 (Mon, 01 Aug 2011) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added copyright notice in case the file is distributed.
------------------------------------------------------------------------
r7779 | vlefevre | 2011-08-01 13:50:17 +0000 (Mon, 01 Aug 2011) | 2 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added information on how to run the MPFR test suite
under valgrind.
------------------------------------------------------------------------
r7778 | vlefevre | 2011-08-01 12:36:04 +0000 (Mon, 01 Aug 2011) | 1 line
Changed paths:
   M /trunk/src/div.c
   M /trunk/src/rec_sqrt.c
   M /trunk/tests/trec_sqrt.c

Untabified and removed trailing spaces.
------------------------------------------------------------------------
r7777 | vlefevre | 2011-08-01 12:13:50 +0000 (Mon, 01 Aug 2011) | 1 line
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Improved output information.
------------------------------------------------------------------------
r7776 | zimmerma | 2011-07-31 19:44:32 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/hppa/mparam.h

[hppa/mparam.h] updated for new Mulders' division

------------------------------------------------------------------------
r7775 | zimmerma | 2011-07-31 19:40:23 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/sparc64/mparam.h

[sparc64/mparam.h] updated for new Mulders' division

------------------------------------------------------------------------
r7774 | zimmerma | 2011-07-31 15:43:40 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/powerpc64/mparam.h

[powerpc64/mparam.h] updated for new Mulders' division

------------------------------------------------------------------------
r7773 | zimmerma | 2011-07-31 15:08:43 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/ia64/mparam.h

[ia64/mparam.h] updated for new Mulders' division

------------------------------------------------------------------------
r7772 | zimmerma | 2011-07-31 12:43:03 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/amd/k8/mparam.h

[amd/k8/mparam.h] updated for new Mulders' division

------------------------------------------------------------------------
r7771 | zimmerma | 2011-07-31 12:39:57 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/x86/core2/mparam.h

[x86/core2/mparam.h] updated thresholds for new Mulders' division

------------------------------------------------------------------------
r7770 | zimmerma | 2011-07-31 10:54:38 +0000 (Sun, 31 Jul 2011) | 5 lines
Changed paths:
   M /trunk/src/mparam_h.in
   M /trunk/tests/tversion.c

[mparam_h.in] changed the detection of 64-bit Core 2, and added
	      MPFR_TUNE_CASE for default case
[tversion.c] print GMP version (header and library), and file for tuning
	     parameters

------------------------------------------------------------------------
r7769 | zimmerma | 2011-07-31 10:29:31 +0000 (Sun, 31 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/x86_64/core2/mparam.h

[x86_64/core2/mparam.h] updated for Mulders' division

------------------------------------------------------------------------
r7768 | zimmerma | 2011-07-31 08:59:53 +0000 (Sun, 31 Jul 2011) | 3 lines
Changed paths:
   M /trunk/src/div.c
   M /trunk/src/generic/mparam.h
   M /trunk/tune/tuneup.c

Added tuning for MPFR_DIV_THRESHOLD, and default value.
It now remains to do the tuning on the architectures in mparam_in.h.

------------------------------------------------------------------------
r7767 | zimmerma | 2011-07-29 20:46:45 +0000 (Fri, 29 Jul 2011) | 2 lines
Changed paths:
   M /trunk/NEWS

[NEWS] added speed improvement in mpfr_div

------------------------------------------------------------------------
r7765 | zimmerma | 2011-07-29 20:15:02 +0000 (Fri, 29 Jul 2011) | 39 lines
Changed paths:
   M /trunk/src/div.c
   M /trunk/src/mulders.c

[mulders.c] fixed bug in mpfr_divhigh_n (this routine was not used yet)
[div.c] now use Mulders' short product for large division. It remains to
	do the automatic tuning of MPFR_DIV_THRESHOLD. The speedup is nice,
	for example on my Core 2 Duo laptop we got with MPFR 3.0.0:

[zimmerma@coing tests]$ ./timings-mpfr 1000
Using MPFR-3.0.0 with GMP-5.0.2
[precision is 3322 bits]
x*y        took 0.004543 ms (262143 eval in 1191 ms)
x*x        took 0.003616 ms (524287 eval in 1896 ms)
x/y        took 0.009087 ms (131071 eval in 1191 ms)
sqrt(x)    took 0.007004 ms (262143 eval in 1836 ms)
exp(x)     took 0.293040 ms (4095 eval in 1200 ms)
log(x)     took 0.253724 ms (4095 eval in 1039 ms)
sin(x)     took 0.306960 ms (4095 eval in 1257 ms)
cos(x)     took 0.290842 ms (4095 eval in 1191 ms)
arccos(x)  took 0.590620 ms (2047 eval in 1209 ms)
arctan(x)  took 0.560332 ms (2047 eval in 1147 ms)

and now we get:

[zimmerma@coing tests]$ ./timings-mpfr 1000
Using MPFR-3.1.0-dev with GMP-5.0.2
[precision is 3322 bits]
x*y        took 0.004444 ms (262143 eval in 1165 ms)
x*x        took 0.002686 ms (524287 eval in 1408 ms)
x/y        took 0.006989 ms (262143 eval in 1832 ms)
sqrt(x)    took 0.007084 ms (262143 eval in 1857 ms)
exp(x)     took 0.292063 ms (4095 eval in 1196 ms)
log(x)     took 0.246886 ms (4095 eval in 1011 ms)
sin(x)     took 0.259096 ms (4095 eval in 1061 ms)
cos(x)     took 0.244933 ms (4095 eval in 1003 ms)
arccos(x)  took 0.556424 ms (2047 eval in 1139 ms)
arctan(x)  took 0.526624 ms (2047 eval in 1078 ms)

We see that other routines also benefit from the speedup in mpfr_sqr and
mpfr_div (log, sin, cos, arccos, arctan).


------------------------------------------------------------------------
r7764 | zimmerma | 2011-07-29 15:21:09 +0000 (Fri, 29 Jul 2011) | 3 lines
Changed paths:
   M /trunk/doc/algorithms.bib
   M /trunk/doc/algorithms.tex

[algorithms.tex] added algorithm for division with Mulders' short product
		 (can anybody check the algorithm is ok?)

------------------------------------------------------------------------
r7763 | vlefevre | 2011-07-29 12:48:21 +0000 (Fri, 29 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] Added a comment.
------------------------------------------------------------------------
r7762 | vlefevre | 2011-07-29 12:24:18 +0000 (Fri, 29 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/get_str.c

[src/get_str.c] Added a comment about the use of mpfr_ceil_mul
(exported and declared in mpfr-impl.h since r7760).
------------------------------------------------------------------------
r7761 | thevenyp | 2011-07-28 23:01:52 +0000 (Thu, 28 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/vasprintf.c
   M /trunk/tests/tsprintf.c

Avoid expensive calls to mpfr_get_prec() using mpfr_ceil_mul() instead.
------------------------------------------------------------------------
r7760 | thevenyp | 2011-07-28 22:59:01 +0000 (Thu, 28 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/get_str.c
   M /trunk/src/mpfr-impl.h

Make ceil_mul() public as mpfr_ceil_mul() in mpfr-impl.h
------------------------------------------------------------------------
r7759 | vlefevre | 2011-07-28 18:50:21 +0000 (Thu, 28 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/mulders.c

[src/mulders.c] MPFR coding conventions for r7752.
------------------------------------------------------------------------
r7758 | zimmerma | 2011-07-28 17:17:24 +0000 (Thu, 28 Jul 2011) | 3 lines
Changed paths:
   M /trunk/src/amd/k8/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/hppa/mparam.h
   M /trunk/src/ia64/mparam.h
   M /trunk/src/mulders.c
   M /trunk/src/powerpc32/mparam.h
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/x86/core2/mparam.h
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/pentium4/mparam.h

modified the default tuning parameters so they are within the bounds of the
ARITH-20 paper "Short Division of Long Integers"

------------------------------------------------------------------------
r7757 | zimmerma | 2011-07-28 16:38:55 +0000 (Thu, 28 Jul 2011) | 3 lines
Changed paths:
   M /trunk/src/mulders.c

[src/mulders.c] declare mpfr_mullow_n as non-static since it might be useful
		elsewhere

------------------------------------------------------------------------
r7756 | zimmerma | 2011-07-28 16:36:50 +0000 (Thu, 28 Jul 2011) | 3 lines
Changed paths:
   M /trunk/tune/tuneup.c

[tuneup.c] fix tuning bounds of short product and division according to the
	   ARITH-20 paper

------------------------------------------------------------------------
r7755 | zimmerma | 2011-07-28 16:36:01 +0000 (Thu, 28 Jul 2011) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] detect long double format in m68k

------------------------------------------------------------------------
r7754 | zimmerma | 2011-07-28 16:35:25 +0000 (Thu, 28 Jul 2011) | 3 lines
Changed paths:
   M /trunk/tests/tget_flt.c

[tget_flt.c] added test to check FLT_MAX + FLT_MAX gives INFP
	     (to early detect compiler bugs)

------------------------------------------------------------------------
r7753 | zimmerma | 2011-07-28 16:30:38 +0000 (Thu, 28 Jul 2011) | 2 lines
Changed paths:
   M /trunk/tools/nightly-test

[nightly-test] changed -pedantic-errors into -pedantic

------------------------------------------------------------------------
r7752 | zimmerma | 2011-07-28 16:29:51 +0000 (Thu, 28 Jul 2011) | 4 lines
Changed paths:
   M /trunk/src/mulders.c

[mulders.c] added some code for short division (FoldDiv, not used),
	    added comments and fixed bounds in accordance with the
	    ARITH-20 paper

------------------------------------------------------------------------
r7751 | thevenyp | 2011-07-28 16:16:36 +0000 (Thu, 28 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/vasprintf.c

Use a buffer in order to avoid a double call to mpfr_get_str.
------------------------------------------------------------------------
r7750 | vlefevre | 2011-07-26 13:12:46 +0000 (Tue, 26 Jul 2011) | 1 line
Changed paths:
   M /trunk/src/log.c

[src/log.c] Replaced TMP_* by MPFR_GROUP_* (patch by Patrick).
------------------------------------------------------------------------
r7749 | vlefevre | 2011-07-22 10:24:38 +0000 (Fri, 22 Jul 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added a comment about TLS variable initialization.
------------------------------------------------------------------------
r7748 | vlefevre | 2011-07-22 10:15:04 +0000 (Fri, 22 Jul 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added information about TLS variable initialization.
------------------------------------------------------------------------
r7747 | vlefevre | 2011-07-22 10:09:28 +0000 (Fri, 22 Jul 2011) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Split Chapter "MPFR Basics" into nodes as it is now
quite large (thus references to particular sections are now possible).
------------------------------------------------------------------------
r7744 | zimmerma | 2011-07-18 19:03:25 +0000 (Mon, 18 Jul 2011) | 7 lines
Changed paths:
   M /trunk/src/vasprintf.c

[vasprintf.c] simplified and improved round_to_10_power(), also contributed
	      a negative number of lines of code :-)
	      Still not optimal, since round_to_10_power() is still called
	      twice for printing say pi with mpfr_printf ("%Rg\n", x), once
	      from partition_number(), once from regular_fg(), and thus
	      mpfr_get_str is called at least 3 times!

------------------------------------------------------------------------
r7743 | zimmerma | 2011-07-18 12:21:29 +0000 (Mon, 18 Jul 2011) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] improve error message when libgmp is not found

------------------------------------------------------------------------
r7742 | zimmerma | 2011-07-18 11:24:40 +0000 (Mon, 18 Jul 2011) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[mpfr.texi] added note about threads for mpfr_set_default_prec and
            mpfr_get_default_prec

------------------------------------------------------------------------
r7740 | vlefevre | 2011-07-06 15:57:22 +0000 (Wed, 06 Jul 2011) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r7738 | vlefevre | 2011-07-06 13:47:35 +0000 (Wed, 06 Jul 2011) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi

[NEWS, doc/mpfr.texi] mpfr_min_prec was a new function in MPFR 3.0.0.
------------------------------------------------------------------------
r7736 | vlefevre | 2011-07-01 15:17:47 +0000 (Fri, 01 Jul 2011) | 3 lines
Changed paths:
   M /trunk/tests/tget_flt.c

[tests/tget_flt.c] Replaced FLT_MAX + FLT_MAX by (float) DBL_POS_INF,
which should trigger fewer compiler bugs. See:
  http://websympa.loria.fr/wwsympa/arc/mpfr/2011-07/msg00002.html
------------------------------------------------------------------------
r7734 | vlefevre | 2011-07-01 08:07:35 +0000 (Fri, 01 Jul 2011) | 2 lines
Changed paths:
   M /trunk/src/ieee_floats.h

[src/ieee_floats.h] Added a comment about the NaN format when
_GMP_IEEE_FLOATS is defined.
------------------------------------------------------------------------
r7733 | zimmerma | 2011-07-01 08:04:50 +0000 (Fri, 01 Jul 2011) | 3 lines
Changed paths:
   M /trunk/tests/tget_flt.c

[tget_flt.c] check for compiler bug
	     (http://websympa.loria.fr/wwsympa/arc/mpfr/2011-07/msg00000.html)

------------------------------------------------------------------------
r7731 | vlefevre | 2011-06-30 00:17:40 +0000 (Thu, 30 Jun 2011) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/BUGS
   M /trunk/COPYING
   M /trunk/COPYING.LESSER
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile.am
   M /trunk/NEWS
   M /trunk/PATCHES
   M /trunk/README
   M /trunk/TODO
   M /trunk/VERSION
   M /trunk/acinclude.m4
   M /trunk/configure.ac
   M /trunk/doc/FAQ.html
   M /trunk/doc/README.dev
   M /trunk/doc/algorithms.bib
   M /trunk/doc/algorithms.tex
   M /trunk/doc/faq.xsl
   M /trunk/doc/fdl.texi
   M /trunk/doc/mpfr.texi
   M /trunk/doc/update-faq
   M /trunk/examples/divworst.c
   M /trunk/examples/rndo-add.c
   M /trunk/examples/sample.c
   M /trunk/examples/version.c
   M /trunk/other/cputime.h
   M /trunk/other/div-short.c
   M /trunk/src/Makefile.am
   M /trunk/src/abort_prec_max.c
   M /trunk/src/acos.c
   M /trunk/src/acosh.c
   M /trunk/src/add.c
   M /trunk/src/add1.c
   M /trunk/src/add1sp.c
   M /trunk/src/add_d.c
   M /trunk/src/add_ui.c
   M /trunk/src/agm.c
   M /trunk/src/ai.c
   M /trunk/src/asin.c
   M /trunk/src/asinh.c
   M /trunk/src/atan.c
   M /trunk/src/atan2.c
   M /trunk/src/atanh.c
   M /trunk/src/bernoulli.c
   M /trunk/src/buildopt.c
   M /trunk/src/cache.c
   M /trunk/src/cbrt.c
   M /trunk/src/check.c
   M /trunk/src/clear.c
   M /trunk/src/clears.c
   M /trunk/src/cmp.c
   M /trunk/src/cmp2.c
   M /trunk/src/cmp_abs.c
   M /trunk/src/cmp_d.c
   M /trunk/src/cmp_ld.c
   M /trunk/src/cmp_si.c
   M /trunk/src/cmp_ui.c
   M /trunk/src/comparisons.c
   M /trunk/src/const_catalan.c
   M /trunk/src/const_euler.c
   M /trunk/src/const_log2.c
   M /trunk/src/const_pi.c
   M /trunk/src/constant.c
   M /trunk/src/copysign.c
   M /trunk/src/cos.c
   M /trunk/src/cosh.c
   M /trunk/src/cot.c
   M /trunk/src/coth.c
   M /trunk/src/csc.c
   M /trunk/src/csch.c
   M /trunk/src/d_div.c
   M /trunk/src/d_sub.c
   M /trunk/src/digamma.c
   M /trunk/src/dim.c
   M /trunk/src/div.c
   M /trunk/src/div_2exp.c
   M /trunk/src/div_2si.c
   M /trunk/src/div_2ui.c
   M /trunk/src/div_d.c
   M /trunk/src/div_ui.c
   M /trunk/src/dump.c
   M /trunk/src/eint.c
   M /trunk/src/eq.c
   M /trunk/src/erf.c
   M /trunk/src/erfc.c
   M /trunk/src/exceptions.c
   M /trunk/src/exp.c
   M /trunk/src/exp10.c
   M /trunk/src/exp2.c
   M /trunk/src/exp3.c
   M /trunk/src/exp_2.c
   M /trunk/src/expm1.c
   M /trunk/src/extract.c
   M /trunk/src/factorial.c
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_s.h
   M /trunk/src/fits_sint.c
   M /trunk/src/fits_slong.c
   M /trunk/src/fits_sshort.c
   M /trunk/src/fits_u.h
   M /trunk/src/fits_uint.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/fits_ulong.c
   M /trunk/src/fits_ushort.c
   M /trunk/src/fma.c
   M /trunk/src/fms.c
   M /trunk/src/frac.c
   M /trunk/src/free_cache.c
   M /trunk/src/gamma.c
   M /trunk/src/gammaonethird.c
   M /trunk/src/gen_inverse.h
   M /trunk/src/get_d.c
